UNIFONTPIC(1)

NAME
unifontpic - Convert GNU Unifont .hex input to a bitmap image of the whole font

SYNOPSIS
unifontpic [-dnnn] [-l] [-t] [-Pplane] < input-font.hex > output-font.bmp

DESCRIPTION
unifontpic reads a GNU Unifont .hex file from STDIN and writes a two dimensional rendering for each glyph to STDOUT. The output displays an entire Unicode plane of 65,536 glyphs as one large graphic image, showing a grid of 256 glyphs by 256 glyphs as the default, or (at your option) a long version of 16 glyphs across by 4,096 glyphs down.

Input can be one or more files in Unifont .hex format. They don't have to be sorted, as unifontpic will populate the entire glyph array of 65,536 code points before writing its output. The input glyph code points should all be unique, as feeding in duplicate code points will produce unpredictable results. Use unidup (1) on a sorted input of .hex files to guarantee no code point duplication.

OPTIONS

-d  Specify a Dots per Inch (DPI) resolution of nnn. For example, specifying -d120 will encode the bitmap graphics file output as having a resolution of 120 DPI.

-l  Produce a long chart, 16 glyphs wide by 4,096 glyphs tall. The default is a wide chart, 256 glyphs wide by 256 glyphs tall.

-t  Use tiny numbers for the row and column code point labels. Tiny numbers are on a 4 by 5 pixel grid. Only tiny code point labels appear on the long chart variant; this option only has effect for wide charts (the default, of 256 by 256 glyphs). If this option is not specified for the default 256-by-256 grid, row and column code point labels are taken from Unifont's glyphs for `0' to `9' and `A' to `F'.

-P  Print a chart for Unicode plane number plane. The default is Plane 0, the Unicode Basic Multilingual Plane (BMP). The range of Unicode plane range is 0 through 17, inclusive. The plane number is printed on the chart title line.

EXAMPLES
Sample usage:

    cat *.hex | unifontpic -d120 > unifontpic.bmp

To generate a bitmap that shows combining circles, from the font/ subdirectory:

    sort plane00/*.hex | unigencircles ttfsrc/combining.txt | unifontpic -d120 >unifontpic.bmp

FILES
*.hex GNU Unifont font files

SEE ALSO
bdfimplode(1), hex2bdf(1), hex2otf(1), hex2sfd(1), hexbraille(1), hexdraw(1), hexkinya(1), hexmerge(1), johab2syllables(1), johab2ucs2(1), unibdf2hex(1), unibmp2hex(1), unibmpbump(1), unicoverage(1), unidup(1), unifont(5), unifont-johab631(5), unifont-viewer(1), unifont1per(1), unifontchojung(1), unifontksx(1), unigen-hangul(1), unigencircles(1), unigenwidth(1), unihex2bmp(1), unihex2png(1), unihexfill(1), unihexgen(1), unihexpose(1), unihexrotate(1), unijohab2html(1), unipagecount(1), unipng2hex(1)

AUTHOR
unifontpic was written by Paul Hardy.

LICENSE
unifontpic is Copyright © 2013 Paul Hardy.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

BUGS
No known bugs exist.